Skip to main content
GET
/
v1
/
inquiry
/
{inquiry_id}
/
text_history
/
{history_id}
의뢰 텍스트 히스토리 상세
curl --request GET \
  --url https://openapi.pluuug.com/v1/inquiry/{inquiry_id}/text_history/{history_id} \
  --header 'X-API-Key: <api-key>' \
  --header 'X-Signature: <api-key>'
{
  "id": 123,
  "content": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "member": {
    "id": 123,
    "nickname": "<string>",
    "email": "<string>",
    "isActive": true,
    "grade": {
      "id": 123,
      "title": "<string>"
    }
  }
}

Authorizations

X-API-Key
string
header
required
X-Signature
string
header
required

HMAC-SHA256 방식으로 body를 secret key로 해싱하여 생성한 서명을 넣어야 합니다. 서버는 X-API-Key와 대응되는 secret key로 서명을 검증합니다.

Path Parameters

history_id
integer
required
inquiry_id
integer
required

Response

200 - application/json
id
integer
required
content
string
required

내용

Maximum string length: 5000
created
string<date-time>
required

생성시간

member
object
required

작성 멤버